openshot::EffectInfoStruct Struct Reference

This struct contains info about an effect, such as the name, video or audio effect, etc... More...

`#include <EffectBase.h>`

## Public Attributes

std::string | class_name
| The class name of the effect. More...
std::string | description
| The description of this effect and what it does. More...
bool | has_audio
| Determines if this effect manipulates the audio of a frame. More...
bool | has_video
| Determines if this effect manipulates the image of a frame. More...
std::string | name
| The name of the effect. More...

## Detailed Description

This struct contains info about an effect, such as the name, video or audio effect, etc...

Each derived class of EffectBase is responsible for updating this struct to reflect accurate information about the underlying effect. Derived classes of EffectBase should call the InitEffectInfo() method to initialize the default values of this struct.

Definition at line 50 of file EffectBase.h.

## Member Data Documentation

## class_name

std::string openshot::EffectInfoStruct::class_name

The class name of the effect.

Definition at line 52 of file EffectBase.h.

Referenced by openshot::EffectBase::JsonInfo(), openshot::EffectBase::JsonValue(), openshot::Bars::JsonValue(), openshot::Blur::JsonValue(), openshot::Brightness::JsonValue(), openshot::ChromaKey::JsonValue(), openshot::ColorShift::JsonValue(), openshot::Crop::JsonValue(), openshot::Deinterlace::JsonValue(), openshot::Hue::JsonValue(), openshot::Mask::JsonValue(), openshot::Negate::JsonValue(), openshot::Pixelate::JsonValue(), openshot::Saturation::JsonValue(), openshot::Shift::JsonValue(), openshot::Wave::JsonValue(), and openshot::Negate::Negate().

## description

std::string openshot::EffectInfoStruct::description

The description of this effect and what it does.

Definition at line 54 of file EffectBase.h.

Referenced by openshot::EffectBase::DisplayInfo(), openshot::EffectBase::InitEffectInfo(), openshot::EffectBase::JsonInfo(), openshot::EffectBase::JsonValue(), and openshot::Negate::Negate().

## has_audio

bool openshot::EffectInfoStruct::has_audio

Determines if this effect manipulates the audio of a frame.

Definition at line 56 of file EffectBase.h.

Referenced by openshot::EffectBase::DisplayInfo(), openshot::EffectBase::InitEffectInfo(), openshot::EffectBase::JsonInfo(), openshot::EffectBase::JsonValue(), and openshot::Negate::Negate().

## has_video

bool openshot::EffectInfoStruct::has_video

Determines if this effect manipulates the image of a frame.

Definition at line 55 of file EffectBase.h.

Referenced by openshot::EffectBase::DisplayInfo(), openshot::EffectBase::InitEffectInfo(), openshot::EffectBase::JsonInfo(), openshot::EffectBase::JsonValue(), and openshot::Negate::Negate().

## name

std::string openshot::EffectInfoStruct::name

The name of the effect.

Definition at line 53 of file EffectBase.h.

Referenced by openshot::EffectBase::DisplayInfo(), openshot::EffectBase::InitEffectInfo(), openshot::EffectBase::JsonInfo(), openshot::EffectBase::JsonValue(), and openshot::Negate::Negate().

The documentation for this struct was generated from the following file:

- EffectBase.h